# Dummy players for labs

## Files:

player.h, player.cpp :
 Player's basic class. Implementing server communication.

main.cpp :
 Implements a simple burglar and cop players.
 They are moving randomly and create log messages in \*.log files.

test.sh :
 Test script for the simple players version.

mpimain.cpp :
 Simple MPI communication example.
 The silly policeman is moving randomly and shouting to his radio if he sees the robber.
 The others can hear this, but they don't know where the robber is.

mptest.sh :
 Test script for the MPI version. Starts a burglar, and starts the MPI processes.
 
## Compile:
 module load mpi
 make

## Starting the clients:
  ./test.sh – simple version
  ./mpitest.sh – mpi version
  
## Starting the graphical server on the local machine:
1. Creating TCP tunnel between the remote machine (para) and the local host. 
  The server listens on port number 15623. 
  The client uses the unique port number UID+17000, where UID is your user id on host para.
  
  Using putty:
    Session->SSH->Tunnels
    X Local ports accept connection from othrer hosts
    Source port: your unique port number (UID+17000). (./test.sh will display the port number
    Destination: localhost:15623
    X Remote
    X Ipv4
    Add

  Using ssh

