#!/bin/bash

cleanup() {
    kill -9 $BPID $CPIDS &>/dev/null
}

trap "cleanup" EXIT

# Computes the uniq port number for communication
if [ x$PORT = x ]; then 
   let PORT=15000+`id -u`
fi

echo PORT: $PORT
PORT=$PORT
HOST=localhost
COPS=5	# The number of cops

echo "The burglar appeared at the bank and robbed it."
./main $HOST $PORT burglar &>burglar.log &
BPID=$!
echo "The burglar began to escape."
sleep 5

echo "The policemen are going to the scene ..."
mpirun -np $COPS mpimain $HOST $PORT &>cops.log &
CPIDS=$!
sleep 30
echo "The burglar has been catched or time is ower."
trap "cleanup" EXIT

